> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Rule Parameter

> This operation adds a parameter to a rule for a given entity. These parameters will override the rule defaults during processing.

<RequestExample>
  ```json Amount body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "AMOUNT",
    "values": {
      "amount": 100
    }
  }
  ```

  ```json Allowed merchants body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "ALLOWED_MERCHANT_ID",
    "values": {
      "items": [
        {
          "acquirerId": "string",
          "merchantId": "string"
        }
      ]
    }
  }
  ```

  ```json Blocked merchants body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "BLOCKED_MERCHANT_ID",
    "values": {
      "items": [
        {
          "acquirerId": "string",
          "merchantId": "string"
        }
      ]
    }
  }
  ```

  ```json Allowed Card Entry Modes body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "ALLOWED_CARD_ENTRY_MODES",
    "values": {
      "items": [
        "string"
      ]
    }
  }
  ```

  ```json Blocked Card Entry Modes body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "BLOCKED_CARD_ENTRY_MODES",
    "values": {
      "items": [
        "string"
      ]
    }
  }
  ```

  ```json Allowed MCCs body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "ALLOWED_MCC",
    "values": {
      "items": [
        "integer"
      ]
    }
  }
  ```

  ```json Blocked MCCs body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "BLOCKED_MCC",
    "values": {
      "items": [
        "integer"
      ]
    }
  }
  ```

  ```json Allowed CVMs body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "ALLOWED_CVM",
    "values": {
      "items": [
        "string"
      ]
    }
  }
  ```

  ```json Blocked CVMs body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "BLOCKED_CVM",
    "values": {
      "items": [
        "string"
      ]
    }
  }
  ```

  ```json Allowed Merchant Countries body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "ALLOWED_MERCHANT_COUNTRY",
    "values": {
      "items": [
        "string"
      ]
    }
  }
  ```

  ```json Blocked Merchant Countries body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "BLOCKED_MERCHANT_COUNTRY",
    "values": {
      "items": [
        "string"
      ]
    }
  }
  ```

  ```json Cardholder Present body  theme={null}
  {
    "entity": {
      "id": "string",
      "type": "CARD"
    },
    "ruleType": "CARDHOLDER_PRESENT",
    "values": {
      "cardholderPresent": true
    }
  }
  ```
</RequestExample>


## OpenAPI

````yaml spend-control post /v1/rules/{rule-id}/parameters
openapi: 3.0.3
info:
  version: '1'
  title: Spend Control API
  description: >
    # Rules

    Rules define specific conditions that control how spending should be
    managed. These conditions can be based on various factors such as merchant
    category, transaction amount, merchant location, etc. The rules are applied
    to transactions to determine whether they should be approved or declined.

    # Filters and Filter Operator Types

    Filters define specific criteria that must be met for a rule to be applied.
    They help refine the conditions under which a rule operates. Filter operator
    types define how multiple filters within a rule should be evaluated.

    # Example Usage

    A rule might be configured to decline transactions if the MCC is in a
    specified list of blocked codes and the transaction amount exceeds a certain
    limit. Filters can be applied to ensure that the rule only evaluates
    transactions that meet specific criteria, such as transactions from a
    certain country or transactions above a certain amount.

    ### Disclaimer

    This feature is sold separately. Please contact our sales department for
    more information.
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/spend-control
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/spend-control
    description: Live environment
security: []
paths:
  /v1/rules/{rule-id}/parameters:
    post:
      tags:
        - Rules Endpoints
      summary: Create Rule Parameter
      description: >-
        This operation adds a parameter to a rule for a given entity. These
        parameters will override the rule defaults during processing.
      operationId: createRuleParameter
      parameters:
        - $ref: '#/components/parameters/ruleId'
        - $ref: '#/components/parameters/auditUser'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ParametersCreateBody'
        required: true
      responses:
        '204':
          description: Successful operation
        '400':
          $ref: '#/components/responses/error400'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '404':
          $ref: '#/components/responses/error404'
        '500':
          $ref: '#/components/responses/error500'
components:
  parameters:
    ruleId:
      name: rule-id
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    auditUser:
      name: auditUser
      in: query
      description: The audit user to log the request
      required: true
      schema:
        type: string
  schemas:
    ParametersCreateBody:
      type: object
      oneOf:
        - $ref: '#/components/schemas/AmountParametersRequestBody'
        - $ref: '#/components/schemas/AllowedMerchantsParametersRequestBody'
        - $ref: '#/components/schemas/BlockedMerchantsParametersRequestBody'
        - $ref: '#/components/schemas/AllowedCardEntryModeParametersRequestBody'
        - $ref: '#/components/schemas/BlockedCardEntryModeParametersRequestBody'
        - $ref: '#/components/schemas/AllowedMccParametersRequestBody'
        - $ref: '#/components/schemas/BlockedMccParametersRequestBody'
        - $ref: '#/components/schemas/AllowedCvmParametersRequestBody'
        - $ref: '#/components/schemas/BlockedCvmParametersRequestBody'
        - $ref: '#/components/schemas/AllowedCountriesParametersRequestBody'
        - $ref: '#/components/schemas/BlockedCountriesParametersRequestBody'
        - $ref: '#/components/schemas/CardholderPresentParametersRequestBody'
        - $ref: >-
            #/components/schemas/CumulativeAmountIndividualLimitsParametersRequestBody
        - $ref: >-
            #/components/schemas/CumulativeCountIndividualLimitsParametersRequestBody
      properties:
        ruleType:
          $ref: '#/components/schemas/RuleType'
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      discriminator:
        propertyName: ruleType
        mapping:
          AMOUNT:
            $ref: '#/components/schemas/AmountParametersRequestBody'
          ALLOWED_MERCHANT_ID:
            $ref: '#/components/schemas/AllowedMerchantsParametersRequestBody'
          BLOCKED_MERCHANT_ID:
            $ref: '#/components/schemas/BlockedMerchantsParametersRequestBody'
          ALLOWED_CARD_ENTRY_MODES:
            $ref: '#/components/schemas/AllowedCardEntryModeParametersRequestBody'
          BLOCKED_CARD_ENTRY_MODES:
            $ref: '#/components/schemas/BlockedCardEntryModeParametersRequestBody'
          ALLOWED_MCC:
            $ref: '#/components/schemas/AllowedMccParametersRequestBody'
          BLOCKED_MCC:
            $ref: '#/components/schemas/BlockedMccParametersRequestBody'
          ALLOWED_CVM:
            $ref: '#/components/schemas/AllowedCvmParametersRequestBody'
          BLOCKED_CVM:
            $ref: '#/components/schemas/BlockedCvmParametersRequestBody'
          ALLOWED_MERCHANT_COUNTRY:
            $ref: '#/components/schemas/AllowedCountriesParametersRequestBody'
          BLOCKED_MERCHANT_COUNTRY:
            $ref: '#/components/schemas/BlockedCountriesParametersRequestBody'
          CARDHOLDER_PRESENT:
            $ref: '#/components/schemas/CardholderPresentParametersRequestBody'
          CUMULATIVE_AMOUNT_INDIVIDUAL_LIMITS:
            $ref: >-
              #/components/schemas/CumulativeAmountIndividualLimitsParametersRequestBody
          CUMULATIVE_COUNT_INDIVIDUAL_LIMITS:
            $ref: >-
              #/components/schemas/CumulativeCountIndividualLimitsParametersRequestBody
      required:
        - ruleType
        - entity
    Id:
      type: string
      format: biginteger
    AmountParametersRequestBody:
      title: Amount
      properties:
        values:
          $ref: '#/components/schemas/AmountParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: AMOUNT
          default: AMOUNT
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    AllowedMerchantsParametersRequestBody:
      title: Allowed Merchants
      properties:
        values:
          $ref: '#/components/schemas/MerchantsParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: ALLOWED_MERCHANT_ID
          default: ALLOWED_MERCHANT_ID
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    BlockedMerchantsParametersRequestBody:
      title: Blocked Merchants
      properties:
        values:
          $ref: '#/components/schemas/MerchantsParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: BLOCKED_MERCHANT_ID
          default: BLOCKED_MERCHANT_ID
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    AllowedCardEntryModeParametersRequestBody:
      title: Allowed Card Entry Modes
      properties:
        values:
          $ref: '#/components/schemas/CardEntryModeParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: ALLOWED_CARD_ENTRY_MODES
          default: ALLOWED_CARD_ENTRY_MODES
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    BlockedCardEntryModeParametersRequestBody:
      title: Blocked Card Entry Modes
      properties:
        values:
          $ref: '#/components/schemas/CardEntryModeParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: BLOCKED_CARD_ENTRY_MODES
          default: BLOCKED_CARD_ENTRY_MODES
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    AllowedMccParametersRequestBody:
      title: Allowed MCCs
      properties:
        values:
          $ref: '#/components/schemas/MccParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: ALLOWED_MCC
          default: ALLOWED_MCC
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    BlockedMccParametersRequestBody:
      title: Blocked MCCs
      properties:
        values:
          $ref: '#/components/schemas/MccParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: BLOCKED_MCC
          default: BLOCKED_MCC
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    AllowedCvmParametersRequestBody:
      title: Allowed CVMs
      properties:
        values:
          $ref: '#/components/schemas/CardholderVerificationParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: ALLOWED_CVM
          default: ALLOWED_CVM
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    BlockedCvmParametersRequestBody:
      title: Blocked CVMs
      properties:
        values:
          $ref: '#/components/schemas/CardholderVerificationParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: BLOCKED_CVM
          default: BLOCKED_CVM
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    AllowedCountriesParametersRequestBody:
      title: Allowed Countries
      properties:
        values:
          $ref: '#/components/schemas/CountriesParameterBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: ALLOWED_MERCHANT_COUNTRY
          default: ALLOWED_MERCHANT_COUNTRY
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    BlockedCountriesParametersRequestBody:
      title: Blocked Countries
      properties:
        values:
          $ref: '#/components/schemas/CountriesParameterBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: BLOCKED_MERCHANT_COUNTRY
          default: BLOCKED_MERCHANT_COUNTRY
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    CardholderPresentParametersRequestBody:
      title: Cardholder Present
      properties:
        values:
          $ref: '#/components/schemas/CardholderPresentParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: CARDHOLDER_PRESENT
          default: CARDHOLDER_PRESENT
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    CumulativeAmountIndividualLimitsParametersRequestBody:
      title: Cumulative Individual Limits
      properties:
        values:
          $ref: '#/components/schemas/CumulativeAmountIndividualLimitsParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: CUMULATIVE_AMOUNT_INDIVIDUAL_LIMITS
          default: CUMULATIVE_AMOUNT_INDIVIDUAL_LIMITS
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    CumulativeCountIndividualLimitsParametersRequestBody:
      title: Cumulative Individual Limits
      properties:
        values:
          $ref: '#/components/schemas/CumulativeCountIndividualLimitsParametersBody'
        ruleType:
          $ref: '#/components/schemas/RuleType'
          example: CUMULATIVE_COUNT_INDIVIDUAL_LIMITS
          default: CUMULATIVE_COUNT_INDIVIDUAL_LIMITS
        entity:
          $ref: '#/components/schemas/ExternalEntityReference'
      required:
        - ruleType
        - values
    RuleType:
      type: string
      enum:
        - DECLINE
        - ALLOWED_MCC
        - BLOCKED_MCC
        - ALLOWED_MERCHANT_ID
        - BLOCKED_MERCHANT_ID
        - AMOUNT
        - ALLOWED_MERCHANT_COUNTRY
        - BLOCKED_MERCHANT_COUNTRY
        - ALLOWED_CARD_ENTRY_MODES
        - BLOCKED_CARD_ENTRY_MODES
        - ALLOWED_CVM
        - BLOCKED_CVM
        - CARDHOLDER_PRESENT
        - EXTERNAL_BALANCE_CHECK
        - CUMULATIVE_AMOUNT_INDIVIDUAL_LIMITS
        - CUMULATIVE_COUNT_INDIVIDUAL_LIMITS
        - ENFUCE_INTERNAL_PSD2_PIN_COUNT_RULE
        - ENFUCE_INTERNAL_PSD2_PIN_AMOUNT_RULE
      description: >
        ### DECLINE

        Always declines. Should be used together with filters.

        Parameters: None


        ### ALLOWED_MCC

        Approves if MCC in request is in parameter list. Otherwise declines.

        Parameters: List of MCC codes


        ### BLOCKED_MCC

        Declines if MCC in request is in parameter list. Otherwise approves.

        Parameters: List of MCC codes


        ### ALLOWED_MERCHANT_ID

        Approves if merchant id in request is in parameter list. Otherwise
        declines.

        Parameters: List of merchant ids


        ### BLOCKED_MERCHANT_ID

        Declines if merchant id in request is in parameter list. Otherwise
        approves.

        Parameters: List of merchant ids


        ### AMOUNT

        Declines if amount in request is greater than the parameter. Otherwise
        approves.

        Parameters: Single element containing floating number


        ### ALLOWED_MERCHANT_COUNTRY

        Approves if country code in request is not present or is in parameter
        list. Otherwise declines.

        Parameters: List of country codes


        ### BLOCKED_MERCHANT_COUNTRY

        Declines if country code in request is present and is in parameter list.
        Otherwise approves.

        Parameters: List of country codes


        ### BLOCKED_CARD_ENTRY_MODES

        Declines if card entry mode code in request is present and is in
        parameter list. Otherwise approves.

        Parameters: List of card entry mode codes


        ### ALLOWED_CARD_ENTRY_MODES

        Approves if card entry mode code in request is present and is in
        parameter list. Otherwise declines.

        Parameters: List of card entry mode codes


        ### ALLOWED_CVM

        Approves if cardholder verification code in request is present and is in
        parameter list. Otherwise declines.

        Parameters: List of cardholder verification codes


        ### BLOCKED_CVM

        Declines if cardholder verification code in request is present and is in
        parameter list. Otherwise approves.

        Parameters: List of cardholder verification codes


        ### EXTERNAL_BALANCE_CHECK

        Declines if account balance is lower than transaction amount. Otherwise
        approves.

        Parameters: None


        ### CUMULATIVE_AMOUNT_INDIVIDUAL_LIMITS - Work in Progress

        Declines if cumulative amount over the defined period of time exceeds
        the parameter. Otherwise approves.

        Parameters: Single element containing floating number (limit),
        enumerated period of time string and single element elaborating on the
        period length for rolling periods


        ### CUMULATIVE_COUNT_INDIVIDUAL_LIMITS - Work in Progress

        Declines if cumulative count over the defined period of time exceeds the
        parameter. Otherwise approves.

        Parameters: Single element containing floating number (limit),
        enumerated period of time string and single element elaborating on the
        period length for rolling periods


        ### ENFUCE_INTERNAL_PSD2_PIN_COUNT_RULE

        This ruleType is for internal enfuce use only


        ### ENFUCE_INTERNAL_PSD2_PIN_AMOUNT_RULE

        This ruleType is for internal enfuce use only
    ExternalEntityReference:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/EntityType'
      required:
        - id
        - type
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    AmountParametersBody:
      type: object
      properties:
        amount:
          type: string
          format: biginteger
          example: 100
        shouldTriggerPartialApproval:
          type: boolean
          example: 'false'
      required:
        - amount
    MerchantsParametersBody:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              merchantId:
                type: string
              acquirerId:
                type: string
                description: >-
                  Acquirer id which can be used as additional parameter to
                  specify merchant
              subMerchantId:
                type: string
                description: >-
                  SubMerchantId id which can be used as additional parameter to
                  specify merchant
            required:
              - merchantId
    CardEntryModeParametersBody:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/cardEntryMode'
    MccParametersBody:
      type: object
      properties:
        items:
          type: array
          items:
            type: integer
            minimum: 0
            maximum: 9999
    CardholderVerificationParametersBody:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/cardholderVerificationType'
    CountriesParameterBody:
      type: object
      description: A valid ISO-3166-1 alpha-3 country code.
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/countryCode'
    CardholderPresentParametersBody:
      type: object
      properties:
        cardholderPresent:
          type: boolean
      required:
        - cardholderPresent
    CumulativeAmountIndividualLimitsParametersBody:
      type: object
      properties:
        limitCumulativeAmount:
          type: string
          format: biginteger
          example: 100
          description: The maximum cumulative amount allowed in the reset period
        resetPeriod:
          $ref: '#/components/schemas/ResetPeriod'
        rollingResetPeriodAmount:
          type: string
          format: biginteger
          example: 100
          description: The number of hours/days for rolling resets
      required:
        - resetPeriod
      description: >
        Parameters for cumulative individual limits rule.

        At least one limit type must be specified (either amount or transaction
        count).
    CumulativeCountIndividualLimitsParametersBody:
      type: object
      properties:
        limitTransactionCount:
          type: string
          format: biginteger
          example: 100
          description: The maximum number of transactions allowed in the reset period
        resetPeriod:
          $ref: '#/components/schemas/ResetPeriod'
        rollingResetPeriodAmount:
          type: string
          format: biginteger
          example: 100
          description: The number of hours/days for rolling resets
      required:
        - resetPeriod
      description: >
        Parameters for cumulative individual limits rule.

        At least one limit type must be specified (either amount or transaction
        count).
    EntityType:
      type: string
      enum:
        - CARD
        - CARD_HIERARCHY_GROUP
    cardEntryMode:
      description: |
        Describes how the card credentials were captured. Possible values:
          * `UNKNOWN` - the message from the merchant did not include a distinct method.
          * `MANUAL_ENTRY` - the card credentials were manually entered by the merchant.
          * `MAGNETIC_STRIPE_READ` - the magnetic stripe of the card was read by a terminal.
          * `CHIP_READ` - the EMV chip of the card was read by a terminal
          * `CONTACTLESS` - contactless transactions, i.e. the card credentials were read with near field communication (NFC) either from chip or digital wallet.
          * `ELECTRONIC_COMMERCE` - the cardholder entered the card credentials as an e-com merchant.
      type: string
      enum:
        - UNKNOWN
        - MANUAL_ENTRY
        - MAGNETIC_STRIPE_READ
        - CHIP_READ
        - CONTACTLESS
        - ELECTRONIC_COMMERCE
    cardholderVerificationType:
      description: >
        Describes what method was used to verify the cardholder. The
        verification methods are limited to verification methods that are
        considered as valid verification methods according to strong customer
        authentication principles.  Possible values: * `WALLET` - cardholder has
        been verified with the digital wallet device.  * `PIN` - cardholder has
        entered the correct PIN of the card to the payment terminal. * `BIO` -
        cardholder has successfully been verified through a biometric method
        (e.g. fingerprint reader on card). * `THREE_DS` - cardholder has
        successfully been verified through 3DS.
      type: string
      enum:
        - WALLET
        - PIN
        - BIO
        - THREE_DS
    countryCode:
      type: string
      format: iso3166-1-countrycode
      description: A valid ISO-3166-1 alpha-3 country code.
      example: FIN
    ResetPeriod:
      type: string
      enum:
        - DAILY
        - WEEKLY
        - MONTHLY
        - QUARTERLY
        - YEARLY
        - ROLLING_HOURLY
        - ROLLING_DAILY
      description: >
        Period after which the cumulative amount is reset.

        * DAILY - Resets at 00:00 every day

        * WEEKLY - Resets at 00:00 every Monday

        * MONTHLY - Resets at 00:00 every first day of the month

        * QUARTERLY - Resets at 00:00 every first day of the quarter (Jan 1, Apr
        1, Jul 1, Oct 1)

        * YEARLY - Resets at 00:00 every first day of the year

        * ROLLING_HOURLY - Rolling reset period based on specified number of
        hours from transaction time

        * ROLLING_DAILY - Rolling reset period based on specified number of days
        from transaction time
  responses:
    error400:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error404:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````